require 'train-pgsql/connection'

module TrainPlugins
  module Pgsql
    class Transport < Train.plugin(1)
      name 'pgsql'

      option :host,     required: true,  default: ENV['PGHOST']
      option :user,     required: true,  default: ENV['PGUSER']
      option :password, required: true,  default: ENV['PGPASSWORD']
      option :database, required: false, default: ENV['PGDATABASE'] || 'postgres'
      option :port,     required: false, default: ENV['PGPORT'] || 5432

      # Non documented options for development
      option :debug_pgsql, default: false

      def connection(_instance_opts = nil)
        @connection ||= TrainPlugins::Pgsql::Connection.new(@options)
      end
    end
  end
end
